local Apollo = require "Apollo"

local NLLC = Apollo.GetAddon("NextLabLootClient")

local selfMeta = { __index = function(t,k)
		return k
	end
}

function NLLC:Localize(eng, ger, fre)
	local strCancel = Apollo.GetString(1)

	if type(eng) == "table" then
		setmetatable(eng, selfMeta)

		local m = {__index = function(t,k)
			return eng[k]
		end}
		setmetatable(ger, m)
		setmetatable(fre, m)
	end

	-- German
	if strCancel == "Abbrechen" then
		return ger or eng
	end

	-- French
	if strCancel == "Annuler" then
		return fre or eng
	end

	return eng
end

--[[
local L = MRF:Localize({--English
}, {--German
}, {--French
})

local str = MRF:Localize("ENG", "GER", "FR")
--]]
